commandwindow;
warning off all;
pth = 'frames2/';
try
	mkdir(pth);
	mkdir([pth 'IR/']);
catch
end
for fr=1:length(frames)
	name = [pth sprintf('%3.3i',fr)];
	name_IR = [pth 'IR/' sprintf('%3.3i',fr)];
	I1 = im2double(permute(frames{fr}.rgb,[3 2 1]));
	ID = double(permute(frames{fr}.depth,[2 1]));
	IR = permute(frames{fr}.IR,[2 1]);
	imwrite(I1,[name '_rgb.jpg'],'jpg','Quality',100);
	%
	%ID(ID==0) = nan;
	%ID = 1./ID;
	%ID(isnan(ID)) = 0;
	imwrite(jetim(ID,[],jet),[name '_depth.jpg'],'jpg','Quality',100);
	imwrite(jetim(IR,[],jet),[name '_temp.jpg'],'jpg','Quality',100);
	if exist([name '_mask.png'],'file')
		I = imread([name '_mask.png']);
		frames{fr}.mask = (sum(abs(I),3)>0)';
	end
	%
	IR = double(permute(frames{fr}.IR_src,[2 1]));
	imwrite(jetim(IR,[],jet),[name_IR '_temp.jpg'],'jpg','Quality',100);	
end