function B = subsample(A,sz)

sigma = size(A)/sz/3;

if any(sz>size(A))
	error('can only downscale not upscale');
end

d = ndims(A);
ii = {};
for i=1:d
	ii{i} = floor([1:sz(i)]/sz(i)*size(A,i));
end

if d==2
	A = conv2_gauss(A,sigma);
	B = A(ii{1},ii{2});
elseif d==3
	A = conv3_gauss(A,sigma);
	B = A(ii{1},ii{2},ii{3});
else
error('wrong number of dimensions');
end

end