bins = [0:1:64];
h1 = zeros(1,length(bins));
h2 = zeros(1,length(bins));
commandwindow;

%load('frames1.mat');
%load('H1_128b.mat');

fg = [];
bg =[];

for fr=1:length(frames)
	IR = frames{fr}.IR';
	mask = frames{fr}.mask';
	m1 = ~isnan(IR);
	%IR = frames{2}.IR;
	%I = frames{2}.rgb;
	%I = permute(I,[3 2 1]);
	%temp = (double(IR)-1000)*0.1;
	%temp = permute(temp,[2 1]);
	%mask = temp>31;
	%h1 = h1 + hist(IR(mask & m1),bins);
	%h2 = h2 + hist(IR(~mask & m1),bins);
	fg = [fg IR(mask & m1)' ];
	bg = [bg IR(~mask & m1)' ];
end

f_mu = mean(fg);
f_mu = 29;
f_sigma = std(fg);

b_sigma = 2*std(bg);
b_mu = median(bg);

h1 = histc(fg,bins);
h1 = h1/sum(h1);
figure(1); clf(); bar(h1,'r');
hold on;
y = normpdf(bins,f_mu,f_sigma);
plot(bins,y,'-k');
 
h2 = histc(bg,bins);
h2 = h2/sum(h2);
figure(2); clf(); bar(h2,'b');

temp_li = zeros(64,64);

for j=1:64
	for i= 1:64
		b_mu = j;
		if(j<30)
			f_mu2 = (j+30)/2;
		else
			f_mu2 = 30;
		end
		temp_li(i,j) = max(-5,log(0.5*normpdf(i,f_mu,f_sigma)+0.5*normpdf(i,f_mu2,f_sigma) ) - log(normpdf(i,b_mu,b_sigma)+0.002)); 
	end
end
figure(3);
%plot(temp_li(:,floor(b_mu)));
clf;
surf(temp_li(10:40,10:40)); hold on;
surf(temp_li(10:40,10:40)*0,'FaceAlpha',0.5,'FaceColor',[0.5 0.5 0.5],'EdgeAlpha',0.5);

%
return

%% color model
load('H1_128.mat');
%skin_r = reshape(dlmread('skin_color_32',' '),[32 32 32]);
%skin_r = log(subsample(H1,[32 32 32]));
skin_r = log(H1);
%skin_r([1 end],[1 end],[1 end]) = -10;
skin_r(1,1,1) = -10;
skin_r(end,end,end) = -10;

load('frames2a');

figure(1);
for fr = 1:length(frames)
	IR = frames{fr}.IR';
	m1 = ~isnan(IR);	
	%b_mu = median(IR(m1));
	b_mu = min(IR(m1));
	L1 = -5*ones(size(IR));
	L1(m1) = temp_li(floor(IR(m1)),floor(b_mu));
	
	I = permute(frames{fr}.rgb,[3 2 1]);
	%figure(max(1,fr-1));clf; imagesc(I);
	figure(1);
	subplot(2,2,1); hold off;imagesc(I);
	subplot(2,2,2); hold off;imagesc(double(IR));
	rI = floor(permute(double(I),[3 1 2])/2.0)+1;
	ii = sub2ind(size(skin_r),rI(1,:),rI(2,:),rI(3,:));
	L2 = reshape(skin_r(ii),[size(I,1) size(I,2)]);
	Ig = rgb2gray(I);
	%Ig = Ig/2;
	H2 = histi(double(Ig)+1,256);
	H2 = conv1_gauss(H2,2);
	H2 = H2/sum(H2);
	c_bg = log(H2);
	L3 = c_bg(Ig+1);
	%figure(2); imagesc(J,[-3 3]);
	
	L = L1;%;-5*L3;
	%L = L1+L2;
	
	a = max(abs(L(:)));
	subplot(2,2,4); hold off; imagesc(L,[-a a]);
	drawnow;
	pause;
end

return
%%
I = double(I);
I(I<10) = 10;
I(I>245) = 245;
r = reshape(dlmread('skin_color_32',' '),[32 32 32]);
rI = floor(permute(double(I),[3 1 2])/8.0)+1;
ii = sub2ind(size(r),rI(1,:),rI(2,:),rI(3,:));
sz = size(I);
J = reshape(r(ii),sz([1 2]));
figure(2); imagesc(J,[-3 3]);
%%
r = temp_li(:);
dlmwrite('../config/temp_model.txt',r,' ');