#ifndef MYDEFS_H
#define MYDEFS_H

#include <string.h>
#include <time.h>
#include <sys/time.h>
#include <ImagerDefs.h>
#include "ImagerDefs.h"

typedef union _LARGE_INTEGER {
    struct {
        unsigned long LowPart;
        long HighPart;
    };
    struct {
        unsigned long LowPart;
        long HighPart;
    } u;
 //MIDL_PASS
    long long QuadPart;
} LARGE_INTEGER;

typedef LARGE_INTEGER *PLARGE_INTEGER;

typedef struct tagRECT
{
  long left;
  long top;
  long right;
  long bottom;
} RECT;

typedef struct tagPOINT
{
    long x;
    long y;
} POINT;

typedef struct tagSIZE
{
    long cx;
    long cy;
} SIZE;

#ifndef GUID_DEFINED
#define GUID_DEFINED
typedef struct _GUID
{
    unsigned long Data1;
    unsigned short Data2;
    unsigned short Data3;
    unsigned char Data4[8];
} GUID;
#endif
extern const GUID GUID_NULL;

#define far
typedef DWORD far   *LPDWORD;
typedef void far    *LPVOID;

#ifndef min
#define min(a,b)    (((a) < (b)) ? (a) : (b))
#endif

#ifndef max
#define max(a,b)    (((a) > (b)) ? (a) : (b))
#endif

#define SUCCEEDED(hr) ((HRESULT)(hr) >= 0)
#define FAILED(hr)    ((HRESULT)(hr) < 0)

extern void Sleep_ms(unsigned int mseconds);

extern unsigned long timeGetTime();

class MyDefs
{
public:
    MyDefs();
};

#endif // MYDEFS_H
