#pragma once
#include <wchar.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fstream>
#include "Linux_IO.h"
#include "ImagerTypes.h"

using namespace std;

#define NODES 256

class SimpleXML
{
public:
	SimpleXML(void);
	~SimpleXML(void);
        bool Open(wchar_t *Dir, wchar_t *XMLfile, wchar_t *Root);
	bool SetNode(void);
        bool SetNode(wchar_t *Node);
	bool SetNode(WCHAR *Node, int Index);
	bool ResetNode(void);
	int GetNodeCount(WCHAR *Node);
	bool GetInt(WCHAR *Node, int *Value);
	bool GetFloat(WCHAR *Node, float *Value);
protected:
        wifstream file;
	int FileSize;
	int Begin[NODES], End[NODES];
	unsigned short NodeIndex;
        wchar_t *Data;
	int GetKey(WCHAR *key, int begin, int end, bool CloseTag = false);
};
