commandwindow;
%%
Kinv = dlmread('../config/Kinv.txt');
Kinv(4,4) = 1;
%% needed if rgb is captured mirrored to ir
if(0)
%	load frames;
%	for i = 1:length(frames)
%		frames{i}.rgb = flipdim(frames{i}.rgb,2);
%		frames{i}.depth = flipdim(frames{i}.depth,1);
%		frames{i}.mask = flipdim(frames{i}.mask,1);
%		W2 = size(frames{i}.rgb,2);
%		W1 = size(frames{i}.IR_src,1);
%		frames{i}.base_points(:,1) = W2-frames{i}.base_points(:,1)+1;
%		frames{i}.input_points(:,1) = W1-frames{i}.input_points(:,1)+1;
%	end
end
%%
addpath('../p4pf');

m = [];M=[];
II1 = {};
II2 = {};
%{
for i=1:length(frames)
	figure(1);
	I1 = permute(frames{i}.rgb,[3 2 1]);
	ID = permute(frames{i}.depth,[2 1]);
	I2 = permute(frames{i}.IR_src,[2 1]);
	I2 = double(I2);
	I2 = I2-min(I2(:));
	I2 = I2/max(I2(:));
	I2 = fliplr(I2);
    II1{i} = I1;
    II2{i} = I2;
end

my_cpselect(II2,II1);
%}

jj = jet;

for i=1:length(frames)
	I1 = im2double(permute(frames{i}.rgb,[3 2 1]));
	ID = permute(frames{i}.depth,[2 1]);
	I2 = permute(frames{i}.IR_src,[2 1]);
	c2 = size(I2)'/2.0;
	c1 = size(ID)'/2.0;
	if(~isfield(frames{i},'input_points'))
		frames{i}.input_points = zeros(0,2);
	end
	if(~isfield(frames{i},'base_points'))
		frames{i}.base_points = zeros(0,2);
	end
	
	I2 = double(I2);
	I2 = I2-min(I2(:));
	I2 = I2/max(I2(:));
	%I2 = fliplr(I2);
	%
	IDN = double(ID)/max(double(ID(:)));
	IDC = zeros([size(ID) 3]);
	for x=1:1:size(ID,2)
		for y=1:1:size(ID,1)
			if(ID(y,x)>0)
				c = jj(ceil(IDN(y,x)*size(jj,1)),:);
				IDC(y,x,:) = c;
			end
		end
	end
	
	%imagesc(I);
	%colormap jet;
	%figure(1); axis manual; imagesc(ID);
	%IDc = getframe();
	%figure(1); imagesc((I1+IDC)/2);
	%return;
	input_points = frames{i}.input_points;
	base_points = frames{i}.base_points;
	if(1)
		depth_alpha = 0.5;
		if(isempty(input_points))
			[input_points, base_points] = cpselect(I2, (1-depth_alpha)*I1+depth_alpha*IDC,'Wait',true);
		else
			[input_points, base_points] = cpselect(I2, (1-depth_alpha)*I1+depth_alpha*IDC,input_points,base_points,'Wait',true);
		end
		frames{i}.input_points = input_points;
		frames{i}.base_points = base_points;
	end
	%
	%m = [m input_points'-1];
	
	for j=1:size(base_points,1)
		x = base_points(j,1);
		y = base_points(j,2);
		k = size(M,2)+1;
		Z = double(ID(ceil(y),ceil(x)));
		if(Z>0)
			p = [(x-1); (y-1); 1; 1/Z];
			pp = Kinv*p;
			pp = pp/pp(4);
			M(:,k) = pp(1:3);
			m(:,k) = input_points(j,:)'-[c2(2); c2(1)];
		end
		%M(1:2,k) = xy-1;
		%M(3,k) = ID(ceil(xy(2)),ceil(xy(1)));
	end
	%pause;
	%break;
end

%return;

%%
%{
m = input_points';
for j=1:size(base_points,1)
	xy = base_points(j,:)';
	M(1:2,j) = xy;
	M(3,j) = ID(ceil(xy(2)),ceil(xy(1)));
end
%}
%m = [-1 -1; -1 2; 1 -1; 1 1]'
%M = [m; 1 1 2 3]

commandwindow;
best_P = [];
best_err = inf;
warning off all;
solvers_DIAC = {@mbp4pf_np_1_7036 @mbp4pf_np_2_7015 @mbp4pf_np_3_2036};
s=solvers_DIAC{3};

sample = 5;

for trial = 1:4000
	np = size(m,2);
	i = randperm(np);
	sm = m(:,i(1:sample));
	sM = M(:,i(1:sample));
	%[f R t] = P4Pf(sm, sM);
	[f R t] = EvalP4PfNonPlanarSolver(s, sm, sM);
	for k=1:length(f)
		P = diag([f(k) f(k) 1])*[R(:,:,k) t(:,k)];
		%P = fminsearch(@(P) reproj_err(P,m,M),P, optimset('MaxFunEvals',100,'MaxIter',100,'Display','off'));
		err = reproj_err(P,m,M);
		if(err<best_err)
			fprintf('err = %f\n',err);
			best_err = err;
			best_P = P;
		end
	end
end
commandwindow;
P = best_P;
P = fminsearch(@(P) reproj_err(P,m,M),P, optimset('MaxFunEvals',10000,'MaxIter',10000));
fprintf('optimized: %f\n',reproj_err(P,m,M));
Pinv = [P(:,1) P(:,2) P(:,4)+P(:,3)*5000]^-1;
K0 = [1 0 c2(2); 0 1 c2(1); 0 0 1];
%
PK = K0*P*Kinv;
%Pinv = Kinv(1:3,1:3)^-1*Pinv*K0^-1;
z_max = 5000;
Pinv = [PK(:,1) PK(:,2) PK(:,3)+PK(:,4)*1/z_max]^-1;
%
if(0)
	%%
	%{ DFKI camera
	dlmwrite('../config/12090028_ir_geom_cali_P.txt',PK,' ');
	dlmwrite('../config/12090028_ir_geom_cali_Pinv.txt',Pinv,' ');
	%}
	%{ CTU camera
	dlmwrite('../config/12050017_ir_geom_cali_P.txt',PK,' ');
	dlmwrite('../config/12050017_ir_geom_cali_Pinv.txt',Pinv,' ');	
	%}
	%%
end

ir_reproj;
return;
%%