commandwindow;
warning off all;
run ../../ascode/matlab/mtools/mpath
pth = '../data/dataset1/capture01/';
ff = dir([pth '*.mat']);

h = figure(1);

for i = 1:length(ff)
	fname = ff(i).name;
	load([pth fname]);
	cfigure(h);
	hold off;
	%subfigure(2,1,1);
	%hold off;
	I = im2double(permute(frames{1}.rgb,[3 2 1]));
	IR = permute(frames{1}.IR,[2 1]);
	depth = double(permute(frames{1}.depth,[2 1]));
	resp2 = permute(frames{1}.resp2,[2 1]);
	IR_src = permute(frames{1}.IR_src,[2 1]);
		
	SS = {IR,depth};
	II = [];
	try
		mkdir([pth 'img']);
	catch
	end
	try
		mkdir([pth 'img/IR']);
	catch
	end
	
	for ii = 1:length(SS)
		S = SS{ii};
		%subplot(1,2,ii);
		mask = S~=0;
		jt =  jet;
		min_t = min(S(mask));
		max_t = max(S(mask));
		jS = jt(floor((S(mask)-min_t)/(max_t-min_t)*63)+1,:);
		for l = 1:3
			a = I(:,:,l);
			a(mask) = a(mask)*0+jS(:,l)*1;
			J(:,:,l) = a;
		end
		%imagesc(I);
		%axis equal;
		%axis off;
		%hold on;
		%imagesc();
		II = [II J];
	end
	imagesc(II);
	axis equal; axis off;
	set(h,'Name',fname);
	set(h,'NumberTitle','off');
	opth = [pth 'img/'];
	name = sprintf('%4.4i',i);
	imwrite(I,[opth  name '_rgb.jpg'],'Quality',100);
	imwrite(jetim(IR,[],jet),[opth name '_temp.jpg'],'Quality',100);
	imwrite(jetim(depth,[],jet),[opth name '_depth.jpg'],'Quality',100);
	imwrite(jetim(IR_src,[],jet),[opth 'IR/' name '_temp.jpg'],'Quality',100);
	imwrite(jetim(resp2,[],jet),[opth name '_resp2.jpg'],'Quality',100);
	%mask = IR>25 & IR<36;
	if 1% ~exist([opth name '_mask.png'],'file')
		mask = resp2>0.4 & resp2< max(resp2(:));
		imwrite(mask,[opth name '_mask.png']);
	end
		%title(fname);
	drawnow;
	%pause;
end