#ifndef openni_cam_h
#define openni_cam_h

#include "dynamic/num_array.h"
#include "geom/nmmatrix.h"

namespace openni_cam{

class openni_cam{
public:
	dynamic::num_array<unsigned char,3> rgb; //rgb image [3 x width x height]
	dynamic::num_array<unsigned short int,2> depth;
	//internal calibration
	geom::matrix3 K;
public:
    void init();
    bool get_image();
    int rgb_width()const{return rgb.size()[1];};
    int rgb_height()const{return rgb.size()[2];};
};

};

#endif
