commandwindow;
if(1)
	%%
	load ../bin/capture/frames_no_breath2.mat
	brust = permute(double(frames{1}.brust),[2 1 3]);
	T = 240;
	brust = brust(1:end-1,:,3:T+2);
	tt = frames{1}.tt;
	tt = tt(1:T);
	fps = length(tt)/((tt(end)-tt(1)));
	mask = zeros(size(brust,1),size(brust,2));
	for t=1:T
		a = brust(:,:,t);
		%figure(1);clf; imagesc(a);
		h = -ones(3,3);
		h(2,2) = 8;
		d = imfilter(a,h,'replicate');
		d = imfilter(a,fspecial('log',5,0.3),'replicate');
		%Dy = diff(a,1,1);
		%Dy(end+1,:) = 0;
		%Dx = diff(a,1,2);
		%Dx(:,end+1) = 0;
		%m = abs(Dx)>500 | abs(Dy)>500;
		m = abs(d)>0.5e4;
		mask = mask | m;
		b = a;
		b(m) = 0;
		n = ones(size(b));
		%n(m) = inf;
		n = cumwin(n,[3 3]);
		b = cumwin(b,[3 3])./n;
		%a(m) = b(m);
		
		%b = conv2_gauss(a,0.5);
		%figure(2);clf; imagesc(a);
		brust(:,:,t) = a;
		%brust(:,:,t) = medfilt2(brust(:,:,t), [3 3]);
		%brust(:,:,t) = conv2_gauss(brust(:,:,t),1);
	end
	figure(3); clf; plot(col(frames{1}.brust(85,63,:)));
	hold on; plot(col(brust(63,85,:)),'-r');
end
%%

if(0)
	mbrust = zeros(size(brust));
	for i = 1:size(brust,3)
		%I = medfilt2(brust(:,:,i), [3 3]);
		I = conv2_gauss(I,3);
		%I = I(2:end-1,2:end-1);
		%figure(1); clf; imagesc(I); colormap jet;drawnow;
		mbrust(:,:,i) = I;
	end
end
%%
if(0)
	f1 = brust(5:25,5:25,:);
	f2 = brust(30:50,70:90,:);
	
	f1 = col(sum(sum(f1,1),2))/21^2;
	f2 = col(sum(sum(f2,1),2))/21^2;
	
	f1 = f1 - mean(f1);
	f2 = f2 - mean(f2);
	
	figure(2); clf; plot(tt,f1,'-r'); hold on; plot(tt,f2,'-b');
end
%figure(3); clf; plot(tt,f2);

%hold on; plot(tt, sin(tt*2*pi))
%%
if(0)
	Ff2 = fft(f2);
	Ff2 = fftshift(Ff2);
	Ff1 = fft(f1);
	Ff1 = fftshift(Ff1);
	
	figure(3); clf; plot(abs(Ff2),'-b'); hold on; plot(abs(Ff1),'-r');
end
%%
sz = [size(brust,1) size(brust,2)];
T = size(brust,3);
N = prod(sz);

X = reshape(brust,[N T])';
M = mean(X,1);
X = X-repmat(M,[T 1]);
S = std(X,1,1);
X = X./repmat(S,[T 1]);
%%
if(0)
	Y = fft(X,[],1);
	for l = 2:100
		%I = reshape(  sum(abs(Y(:,1:l)),2)  ,sz);
		I = reshape(  sum(abs(Y(:,l)),2)  ,sz);
		I = medfilt2(I, [3 3]);
		I = I(2:end-1,2:end-1);
		figure(1); clf; imagesc(I); colormap jet;drawnow;
		pause;
	end
	
	%%
	YY = reshape(Y,[sz T]);
	Ff1 = fftshift(col(YY(40,80,:)));
	Ff2 = fftshift(col(YY(10,10,:)));
	figure(3); clf; plot(abs(Ff2),'-b'); hold on; plot(abs(Ff1),'-r');
	%% fixed basis model
end
%%
%sb = brust(20:40,60:100,:);
%sb = brust(20:40,60:100,:);
sb = brust;
sz1 = [size(sb,1) size(sb,2)];
 W = [3 3];
 %n = cumwin(ones(sz1),W);
 n = cumwin(ones(sz1).*(~mask),W);
 n(mask)=inf;
 for t=1:size(brust,3)
 	sb(:,:,t) = cumwin(sb(:,:,t).*(~mask),W)./n;
 end

X = reshape(sb,[],T)';
%X = reshape(brust,[],T)';
%X = mean(X,2);

%S = std(X,1,1);
%X = X./repmat(S,[T 1]);
%X = diff(X);

%M = mean(X,1);
%X = X-repmat(M,[size(X,1) 1]);

N = size(X,2);
[r,m,b] = regression(repmat([1:T]',1,N)',X');
X = X - [1:T]'*m'-repmat(b',[T 1]);

%DX = diff(X(:,sub2ind(sz,30:40,70:90)));
%DX = DX(:,sub2ind(sz,30,80));
%N = 1;


min_Q = inf;

Ga = [];
PQ = [];
PP = 70:2:80%50:2:240;
%PP = 240:5:360%70:100%60:2:240%80:110;%50:2:240;
PQ(PP) = nan;
%PP = 98:99
figure(4);
for P = PP
	K = ceil(T/P);
	Y = fft(X,P*K);
	%Fb = zeroes(1,P*K);
	%Fb(K) = 1;
	b = fliplr(sin((0:(P*K-1))/(P)*2*pi));
	Fb = fft(b);
	alpha0 = ifft(Y.*repmat(col(Fb),[1 N]));
	%alpha = max(alpha0,0);
	alpha = alpha0;
	q = repmat(sum(X.^2),P*K,1);
	%Q = q-alpha.^2;
	Q = q-2*alpha.*alpha0+alpha.^2;
	QQ = sum(Q,2);
	[best_Q phi] = min(QQ);
		if best_Q< min_Q % && P<160
			fprintf('%f\n',best_Q);
			min_Q = best_Q;
			min_a = alpha(phi,:);
			min_P = P;
			min_phi = phi;
			%cfigure(2);clf;  hold on; plot(X-B.*A,'-r'); hold on; plot(X);
		end
		PQ(P) = best_Q;
		cfigure(4); clf; plot(PP,PQ(PP),'-'); xlim([min(PP) max(PP)]); drawnow;
end

I = reshape(min_a,sz1(1),sz1(2));
figure(2); clf; imagesc(abs(I));colormap jet;
return


PQ = []
for P = 80:5:120

% 	Q = sum(sum((X-B.*A).^2));
% 	[phi ]
% 	t = 1:T;
% 	b = sin(w*(t+phi));
	for phi = P/5:P/5:P %1:5:P
		w = 2*pi/P;
		% basis function
		t = 1:T;
		b = cos(w*(t+phi));
		%b = diff(b);
		b = b/sum(b.^2);
		%Db = diff(b);
		%DB = repmat(col(Db),[1 N]);
		B = repmat(col(b),[1 N]);
		
		a = sum(X.*B,1);
		A = repmat(a,[size(X,1) 1]);
		Q = sum(sum((X-B.*A).^2));
		
		%{
		a1 = 0*ones(1,N);
		a2 = 10*ones(1,N);
		
		for d=1:20
			a = (a1+a2)/2;
			A = repmat(a,[size(X,1) 1]);
			
			Q = sum(sum(abs( X-B.*A)));
			fprintf('%f\n',Q);
			
			%S = sign(X-B.*A);
			S = (X-B.*A);
			SG = -sum(S.*B,1);
			m = SG<=0;
			a1(m) = a(m);
			a2(~m) = a(~m);
		end
		%Q = sum(abs( X-B.*A));
		a = (a1+a2)/2;
		Q = sum(sum(abs( X-B.*A)));
		%}
		
		if Q< min_Q;
			fprintf('%f\n',Q);
			min_Q = Q;
			min_a = a;
			min_P = P;
			min_phi = phi;
			%cfigure(2);clf;  hold on; plot(X-B.*A,'-r'); hold on; plot(X);
		end
		PQ(P) = Q;
		%return;
		%Ga(P,phi) = max(abs(a(:)));
	end
end

%return
%%
I = reshape(min_a,sz1(1),sz1(2));
figure(2); clf; imagesc(conv2_gauss(I,6));colormap jet;
return
%%
clf;  hold on; plot(DX-DB.*A,'-r'); hold on; plot(DX);
%%
figure(4); clf; imagesc(reshape(sum(abs(diff(X))),sz)); colormap jet;
%%
figure(4); clf; imagesc(reshape(sum(abs(diff( reshape(brust,[],T)' ))),sz)); colormap jet;
%%
figure(4); clf; imagesc(reshape(  std( reshape(brust,[],T)')  ,sz)); colormap jet;