#pragma once

#include "OpBase.h"
#include "OpDefs.h"

struct FlagObject
{
	DWORD Offset;				// aktuelles Dunkelbild
};

class OpFlag :	public OpBase
{
public:
        OpFlag(OpBase *prevOp, IPOperation op, wchar_t *name, PGlobalVars global, ConfigCali *cali);
	~OpFlag(void);
protected:
        long Init(POpBase prevOp);
        long Processing(void);
	void ReadFlag(void);
	void WriteFlag(void);

protected:
	ConfigCali *Cali;
        TFlagState	m_FlagLast;  // Last flag state
	WORD		m_FlagAvgCycles;	// Dunkelbildmittlungszyklen
	WORD	m_FlagTimeoutCounter;
	fpOnFlagState m_fpOnFlagState;

	FlagObject * aFlagObj;
	long LastFlagFrameCount, FlagCount;
	int  iOffsCount;

// --- Interface functions ----------------------------------------------------
public:
    long GetFlag(TFlagState *pFlag);
    long SetFlag(TFlagState Flag);
    long ResetFlag(void);
    long StartFlag(void);
    long SetCallback_OnFlagState(fpOnFlagState OnFlagState);
};
