#include <string>
#include <time.h>

#include <libudev.h>
#include <fcntl.h>              /* low-level i/o */
#include <sys/ioctl.h>
#include <asm/types.h>          /* for videodev2.h */
#include <linux/videodev2.h>

class camera{
public:
	int width;
	int height;
	int frequency;
	//
	std::string dev_path;
	unsigned long dev_serial;
	unsigned int dev_VID;
	unsigned int dev_PID;
	int fd;
	static const int n_buffers = 2;
	struct{
	void * start;
	size_t length;
	bool queued;
	} buffers[n_buffers], buffer;
	bool streamon;
private:
    int current;
	struct v4l2_buffer buf;
	void enque_buff(int i);
	void deque_buff();
public:
    camera():fd(-1){};
	void init();
	void find_device();
	void init_device();
	//void start_device();
	void cleanup();
	bool get_image();//grabs image to buffer
	~camera();
private:
};
