#include <string>
#include <map>

class imager_filter{
public:
	void * input_buffer;
    float TempChip;
	float TempFlag;
	float TempBox;
	float TempChip1;
	short int * out_buffer;
	int width;
	int height;
	bool frame_processed;
public:
	imager_filter();
	~imager_filter();
	void init(const std::wstring & cali_path, int width, int height, int frequency, int dev_serial, unsigned int dev_VID, unsigned int dev_PID);
	void filter_image(void * buffer);
	void reinit();
	int get_flag();
private:
	long long frame;
	std::map<int,float> kennelinie;
	int FOV;
	float TRmin;
	float TRmax;
	unsigned int dev_VID;
	unsigned int dev_PID;
	int serial;
	int frequency;
public:
	void OnFrame(void * out_buffer);
private:
	long SetOpticsAndTemprange(unsigned short ImgIndex, int FieldOfView, float TempRangeMin, float TempRangeMax);
};
